Package weka.gui.beans

# Interface BeanCustomizer

All Superinterfaces:
  `Customizer`

All Known Subinterfaces:
  `GOECustomizer`

All Known Implementing Classes:
  `AddUserFieldsCustomizer`, `AssociatorCustomizer`, `AttributeSummarizerCustomizer`, `ClassAssignerCustomizer`, `ClassifierCustomizer`, `ClassifierPerformanceEvaluatorCustomizer`, `ClassValuePickerCustomizer`, `ClustererCustomizer`, `CrossValidationFoldMakerCustomizer`, `DataVisualizerCustomizer`, `FilterCustomizer`, `FlowByExpressionCustomizer`, `ImageSaverCustomizer`, `IncrementalClassifierEvaluatorCustomizer`, `JoinCustomizer`, `LoaderCustomizer`, `ModelPerformanceChartCustomizer`, `NoteCustomizer`, `PredictionAppenderCustomizer`, `SaverCustomizer`, `SerializedModelSaverCustomizer`, `SorterCustomizer`, `SubstringLabelerCustomizer`, `SubstringReplacerCustomizer`, `TextSaverCustomizer`

public interface BeanCustomizer extends Customizer
Extends java.beans.Customizer and provides a method to register a listener interested in notification about whether the customizer has modified the object that it is customizing. Typically, an implementation would notify the listener about the modification state when it's window is closed.

Version:
  $Revision: 8034 $
Author:
  Mark Hall (mhall{[at]}penthao{[dot]}com)

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `BeanCustomizer.ModifyListener`
  Interface for something that is interested in the modified status of a source object (typically a BeanCustomizer that is editing an object)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setModifiedListener(BeanCustomizer.ModifyListener l)`
  Set a listener to be notified about the modified status of this object

  ### Methods inherited from interface java.beans.Customizer

  `addPropertyChangeListener, removePropertyChangeListener, setObject`

- ## Method Details

  - ### setModifiedListener

    void setModifiedListener(BeanCustomizer.ModifyListener l)
    Set a listener to be notified about the modified status of this object
    Parameters:
      `l` - the ModifiedListener